package org.diagbot.nlp.dao.model;
import java.io.Serializable;
/** 
* @Title: Feature.java
* @Package: com.zjlantone.nlp.web.doc.dao.model
* @Description: 数据库操作接口类 
* @author: 楼辉荣
* @date: 2016年8月8日 下午17:16:23
* @version: V1.0
*/

@SuppressWarnings("serial")
public class Feature implements Serializable {
	/****/
	private Long id;
	/****/
	private String rdn = "";
	/****/
	private String sex;
	/****/
	private int age;

	private String partbody = "";

	/****/
	private String featureName = "";

	/****/
	private String featureType = "";

	//是否推送
	private String isPush = "0";

	/**特征顺序号**/
	private int sn;

	/****/
	private String negative = "";

	private float duration;

	private String property;

	/****/
	private Float threshold;

	/****/
	private String tfIdf;

	/**区分住院门诊**/
	private String resourceType;



	public void setId(Long id){
		this.id = id;
	}

	public Long getId(){
		return this.id;
	}

	public void setRdn(String rdn){
		this.rdn = rdn;
	}

	public String getRdn(){
		return this.rdn;
	}

	public void setSex(String sex){
		this.sex = sex;
	}

	public String getSex(){
		return this.sex;
	}

	public void setAge(int age){
		this.age = age;
	}

	public int getAge(){
		return this.age;
	}

	public void setFeatureName(String featureName){
		this.featureName = featureName;
	}

	public String getFeatureName(){
		return this.featureName;
	}

	public void setFeatureType(String featureType){
		this.featureType = featureType;
	}

	public String getFeatureType(){
		return this.featureType;
	}

	public String getIsPush() {
		return isPush;
	}

	public void setIsPush(String isPush) {
		this.isPush = isPush;
	}

	public int getSn() {
		return sn;
	}

	public void setSn(int sn) {
		this.sn = sn;
	}

	public void setNegative(String negative){
		this.negative = negative;
	}

	public String getNegative(){
		return this.negative;
	}

	public String getPartbody() {
		return partbody;
	}

	public void setPartbody(String partbody) {
		this.partbody = partbody;
	}

	public float getDuration() {
		return duration;
	}

	public void setDuration(float duration) {
		this.duration = duration;
	}

	public String getProperty() {
		return property;
	}

	public void setProperty(String property) {
		this.property = property;
	}

	public void setThreshold(Float threshold){
		this.threshold = threshold;
	}

	public Float getThreshold(){
		return this.threshold;
	}

	public void setTfIdf(String tfIdf){
		this.tfIdf = tfIdf;
	}

	public String getTfIdf(){
		return this.tfIdf;
	}

	public String getResourceType() {
		return resourceType;
	}

	public void setResourceType(String resourceType) {
		this.resourceType = resourceType;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
		Feature feature = (Feature) o;
		if (id != feature.id) return false;
		return rdn.equals(feature.rdn) && partbody.equals(feature.partbody) && featureName.equals(feature.featureName)
				&& featureType.equals(feature.featureType) && negative.equals(feature.negative);
	}

	@Override
	public int hashCode() {
		int result = id.hashCode();
		result = 31 * result + rdn.hashCode() + partbody.hashCode() + featureName.hashCode() + featureType.hashCode() + negative.hashCode();
		return result;
	}
}
